CVE-2017-1757
CVSS6.5
发布时间 :2017-12-20 13:29:01
修订时间 :2018-01-03 12:23:46
NMS    

[原文]IBM Security Guardium 10.0 is vulnerable to SQL injection. A remote attacker could send specially-crafted SQL statements, which could allow the attacker to view, add, modify or delete information in the back-end database. IBM X-Force ID: 135858.


[CNNVD]CNNVD数据暂缺。


[机译]译文暂缺.

- CVSS (基础分值)

CVSS分值: 6.5 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: SINGLE_INSTANCE [--]

- CWE (弱点类目)

CWE-89 [SQL命令中使用的特殊元素转义处理不恰当(SQL注入)]

- CPE (受影响的平台与产品)

cpe:/a:ibm:security_guardium:10.0
cpe:/a:ibm:security_guardium:10.0.1
cpe:/a:ibm:security_guardium:10.1.0
cpe:/a:ibm:security_guardium:10.1.2
cpe:/a:ibm:security_guardium:10.1.3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-1757
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-1757
(官方数据源) NVD

- 其它链接及资源

http://www.ibm.com/support/docview.wss?uid=swg22011554
(VENDOR_ADVISORY)  CONFIRM  http://www.ibm.com/support/docview.wss?uid=swg22011554
http://www.securityfocus.com/bid/102300
(VENDOR_ADVISORY)  BID  102300
https://exchange.xforce.ibmcloud.com/vulnerabilities/135858
(VENDOR_ADVISORY)  MISC  https://exchange.xforce.ibmcloud.com/vulnerabilities/135858

- 漏洞信息

IBM Security Guardium Database Activity Monitor CVE-2017-1757 SQL Injection Vulnerability
Input Validation Error 102300
Yes No
2017-12-20 12:00:00 2017-12-20 12:00:00
The vendor reported this issue.

- 受影响的程序版本

IBM Security Guardium Database Activity Monitor 10.1.3
IBM Security Guardium Database Activity Monitor 10.1.2
IBM Security Guardium Database Activity Monitor 10.1
IBM Security Guardium Database Activity Monitor 10.0.1
IBM Security Guardium Database Activity Monitor 10.0

- 漏洞讨论

IBM Security Guardium Database Activity Monitor is prone to a SQL-injection vulnerability because it fails to sufficiently sanitize user-supplied data.

A successful exploit may allow an attacker to view, add, modify or delete information in the back-end database.

IBM Security Guardium Database Activity Monitor 10.0, 10.0.1, 10.1, 10.1.2 and 10.1.3 are vulnerable.

- 漏洞利用

Currently, we are not aware of any working exploits. If you feel we are in error or if you are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 解决方案

Updates are available. Please see the references or vendor advisory for more information.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站